List certificates
GET
/v1/certificates
const url = 'https://api.nextpki.com/v1/certificates?limit=50&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.nextpki.com/v1/certificates?limit=50&offset=0' \ --header 'Authorization: Bearer <token>'Returns the certificate inventory for the token’s tenant, newest
observation first. There is no server-side expiry filter in v1 - page
through and sort on not_after client-side.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
offset
integer
cert_type
string
org_id
string format: uuid
Restrict to certificates assigned to this organisation.
Responses
Section titled “Responses”A page of results
Media typeapplication/json
object
items
Array<object>
object
id
string format: uuid
fingerprint_sha256
string
common_name
string
issuer_dn
string
serial_number
string
not_before
string format: date-time
not_after
string format: date-time
cert_type
string
key_algorithm
string
is_revoked
boolean
trust_status
string
last_seen_at
string format: date-time
org_id
Organisation this certificate is assigned to, if any.
string format: uuid
limit
integer
offset
integer
Examplegenerated
{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "fingerprint_sha256": "example", "common_name": "example", "issuer_dn": "example", "serial_number": "example", "not_before": "2026-04-15T12:00:00Z", "not_after": "2026-04-15T12:00:00Z", "cert_type": "example", "key_algorithm": "example", "is_revoked": true, "trust_status": "example", "last_seen_at": "2026-04-15T12:00:00Z", "org_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "limit": 1, "offset": 1}Missing, malformed, unknown or revoked token
Media typeapplication/json
object
error
string
Examplegenerated
{ "error": "example"}The token’s scopes do not cover this endpoint
Media typeapplication/json
object
error
string
Examplegenerated
{ "error": "example"}